[arch-commits] Commit in gst-plugins-bad/repos (4 files)

Jan de Groot jgc at archlinux.org
Sat Mar 11 22:19:00 UTC 2017


    Date: Saturday, March 11, 2017 @ 22:18:59
  Author: jgc
Revision: 290635

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  gst-plugins-bad/repos/staging-i686/
  gst-plugins-bad/repos/staging-i686/PKGBUILD
    (from rev 290634, gst-plugins-bad/trunk/PKGBUILD)
  gst-plugins-bad/repos/staging-x86_64/
  gst-plugins-bad/repos/staging-x86_64/PKGBUILD
    (from rev 290634, gst-plugins-bad/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   65 ++++++++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   65 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

Copied: gst-plugins-bad/repos/staging-i686/PKGBUILD (from rev 290634, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2017-03-11 22:18:59 UTC (rev 290635)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.10.4
+pkgrel=2
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 celt libdca libdvdnav
+         libmodplug libgme wayland libofa openjpeg2 libwebp libsrtp gnutls glu sbc rtmpdump
+         libgudev graphene)
+makedepends=(schroedinger libexif libdvdread libvdpau libmpeg2 python valgrind wildmidi librsvg
+             gobject-introspection gtk-doc gtk3 clutter libtiger ladspa openal libusb
+             qt5-declarative qt5-x11extras qt5-wayland vulkan-headers vulkan-icd-loader zbar
+             autoconf-archive git libfdk-aac faac soundtouch spandsp fluidsynth neon)
+options=(!emptydirs)
+_commit=2e40502e73d744a26abaa9fd22453e625ca6a146  # tags/1.10.4^0
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-bad#commit=$_commit"
+        "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common")
+sha256sums=('SKIP'
+            'SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.common.url "$srcdir/gst-common"
+  git submodule update
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="http://www.archlinux.org/" \
+    --with-gtk=3.0 \
+    --enable-experimental --enable-gtk-doc --disable-static
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # don't have a camera for the camerabin test
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Copied: gst-plugins-bad/repos/staging-x86_64/PKGBUILD (from rev 290634, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2017-03-11 22:18:59 UTC (rev 290635)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.10.4
+pkgrel=2
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 celt libdca libdvdnav
+         libmodplug libgme wayland libofa openjpeg2 libwebp libsrtp gnutls glu sbc rtmpdump
+         libgudev graphene)
+makedepends=(schroedinger libexif libdvdread libvdpau libmpeg2 python valgrind wildmidi librsvg
+             gobject-introspection gtk-doc gtk3 clutter libtiger ladspa openal libusb
+             qt5-declarative qt5-x11extras qt5-wayland vulkan-headers vulkan-icd-loader zbar
+             autoconf-archive git libfdk-aac faac soundtouch spandsp fluidsynth neon)
+options=(!emptydirs)
+_commit=2e40502e73d744a26abaa9fd22453e625ca6a146  # tags/1.10.4^0
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-bad#commit=$_commit"
+        "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common")
+sha256sums=('SKIP'
+            'SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.common.url "$srcdir/gst-common"
+  git submodule update
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/lib \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="http://www.archlinux.org/" \
+    --with-gtk=3.0 \
+    --enable-experimental --enable-gtk-doc --disable-static
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # don't have a camera for the camerabin test
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list